/* tempConversion.cpp displays a temperature in Fahrenheit,
 * Celsius, and Kelvin, using class Temperature.
 *
 *  Input:  an arbitrary Temperature
 *  Output: its Fahrenheit, Celsius and Kelvin equivalents
 ****************************************************************/

#include <iostream>                     // >>, <<, cin, cout
#include "Temperature.h"                // Temperature
using namespace std;

int main()
{
   cout << "This program shows the Fahrenheit, Celsius, and\n"
           "Kelvin equivalents of a temperature.\n\n";

   char response;
 Temperature theTemperature;                    // construction

   do
   {
      cout << "Enter a temperature (e.g., 98.6 F): ";
 
      cin >> theTemperature;                      // input

      cout << "--> "                              // output
           << theTemperature.inFahrenheit()
           << " == "
           << theTemperature.inCelsius()
           << " == "
           << theTemperature.inKelvin()
           << endl;

      cout << "\nDo you have more temperatures to convert? ";
      cin >> response;
   }
   while (response == 'Y' || response == 'y');
}
